javax.xml.bind

## Interface ValidationEventHandler

    public interface ValidationEventHandler

A basic event handler interface for validation errors.

If an application needs to implement customized event handling, it must implement this interface and then register it with either the `Unmarshaller`, the `Validator`, or the `Marshaller`. The JAXB Provider will then report validation errors and warnings encountered during the unmarshal, marshal, and validate operations to these event handlers.

Modifying the Java content tree within your event handler is undefined by the specification and may result in unexpected behaviour.

Failing to return false from the `handleEvent` method after encountering a fatal error is undefined by the specification and may result in unexpected behavior.

Default Event Handler

> See: Validator javadocs

Since:
  JAXB1.0
See Also:
  `Validator`, `ValidationEvent`, `javax.xml.bind.util.ValidationEventCollector`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `handleEvent(ValidationEvent event)` Receive notification of a validation warning or error.

### Method Detail

#### handleEvent

    boolean handleEvent(ValidationEvent event)

Receive notification of a validation warning or error. The ValidationEvent will have a `ValidationEventLocator` embedded in it that indicates where the error or warning occurred.

Parameters:
  `event` - the encapsulated validation event information
Returns:
  true if the JAXB Provider should attempt to continue validating after handling this warning/error, false otherwise

Copyright © 2003, 2020, Oracle and/or its affiliates.